<%--

    Copyright (C) 2013 Kosmos <contact@kosmos.fr>

    Projet: blog
    Version: 1.1-beta-1

    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at

            http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.

--%>
<% 
	// bloc description du blog
	if (blogRef.getDescription().length() > 0) {
		titreEncadre = module.getMessage("ST_DESCRIPTION");
		contenuEncadre = UnivWebFmt.formaterEnHTML(ctx, blogRef.getDescription());
		// informations extra
		String contenuDescriptionExtra = "";
		// responsable du billet
		if (blogRef.getCodeRedacteur() != null && blogRef.getCodeRedacteur().length() > 0) {
			contenuDescriptionExtra += "<p><strong>" + module.getMessage("blog.description.responsable") + " :</strong> " + Utilisateur.getLibelle(ctx, blogRef.getCodeRedacteur()) + "</p>";
		}
		// dates
		SimpleDateFormat displayDateTimeFormat = new SimpleDateFormat("dd MMMM yyyy HH:mm", ctx.getLocale());
		SimpleDateFormat displayDateFormat = new SimpleDateFormat("dd MMMM yyyy", ctx.getLocale());
		// date de cr�ation
		if (com.jsbsoft.jtf.core.Formateur.estSaisie(blogRef.getMeta().getMetaDateCreation())) {
			contenuDescriptionExtra += "<p><strong>" + module.getMessage("blog.description.creation") + " :</strong> " + displayDateFormat.format(blogRef.getMeta().getMetaDateCreation()) + "</p>"; 
		}
		// date de mise � jour du dernier billet
		if (com.jsbsoft.jtf.core.Formateur.estSaisie(blogRef.getLastUpdate())) {
			contenuDescriptionExtra += "<p><strong>" + module.getMessage("blog.description.maj") + " :</strong> " + displayDateFormat.format(blogRef.getLastUpdate()) + "</p>"; 
		}
		// nombre d'articles
		List<Articleblog> billets = blogRef.getArticles(ctx);
		int nbBillets = 0;
		if (billets != null && !billets.isEmpty()) {
			nbBillets = billets.size();
		}
		contenuDescriptionExtra += "<p><strong>" + module.getMessage("blog.description.article.nb") + " :</strong> " + nbBillets + "</p>"; 
		// nombre de commentaires
		int nbBilletsComments = 0;
		if (billets != null && !billets.isEmpty()) {
			for (Articleblog billet : billets) {
				nbBilletsComments += billet.getNombreReponses();
			}
		}
		contenuDescriptionExtra += "<p><strong>" + module.getMessage("blog.description.commentaire.nb") + " :</strong> " + nbBilletsComments + "</p>";
		// prise en compte des informations extra
		if (contenuDescriptionExtra != null && contenuDescriptionExtra.length() > 0) {
			contenuEncadre += "<div id=\"description_extra\">" + contenuDescriptionExtra + "</div>";
		}
		if (contenuEncadre != null && contenuEncadre.length() > 0) {
			%><%@ include file="/jsp/template/encadres/encadre_fiche.jsp" %><%
		}
	}
%>