<%--

    Copyright (C) 2013 Kosmos <contact@kosmos.fr>

    Projet: blog
    Version: 1.1-beta-1

    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at

            http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.

--%>
<%@page import="org.apache.commons.lang3.StringUtils"%>
<%@page import="com.univ.objetspartages.om.ReferentielObjets"%>
<%@page import="com.kportal.cms.objetspartages.Objetpartage"%>
<%@page import="com.univ.utils.ContexteUtil"%>
<%@page import="com.univ.utils.ContexteUniv"%>
<%@page import="com.univ.objetspartages.om.Utilisateur"%>
<%@page import="java.util.List"%>
<%@page import="java.util.Map"%>
<%@page import="com.univ.utils.URLResolver"%>
<%@page import="com.univ.utils.UnivWebFmt"%>
<%@page import="java.text.SimpleDateFormat"%>
<%@page import="com.kosmos.blog.om.Blog"%>
<%@page import="com.kosmos.blog.om.Articleblog"%>
<%@page import="com.univ.objetspartages.om.FicheUniv"%>
<%@page import="java.net.URLEncoder"%><%

ContexteUniv ctx = ContexteUtil.getContexteUniv();
FicheUniv ficheUniv = ctx.getFicheCourante();
if (ficheUniv instanceof Blog || ficheUniv instanceof Articleblog) {

	Objetpartage module = ReferentielObjets.getObjetByNom("blog");
	Blog blogRef = null;
	String contenuEncadre = StringUtils.EMPTY;
	String titreEncadre = StringUtils.EMPTY;
	String encadreAutreClasse = StringUtils.EMPTY;
	if (ficheUniv instanceof Blog) blogRef = (Blog) ficheUniv;
	if (ficheUniv instanceof Articleblog) blogRef = ((Articleblog) ficheUniv).getBlog();
	if (blogRef != null) {
		
		// bloc description du blog
		if (blogRef.getDescription().length() > 0) {
			titreEncadre = module.getMessage("ST_DESCRIPTION");
			contenuEncadre = "<p id=\"blog_description\">" + UnivWebFmt.formaterEnHTML(ctx, blogRef.getDescription()) + "</p>";
			String contenuDescriptionExtra = "<ul>";
			// responsable du billet
			if (blogRef.getCodeRedacteur() != null && blogRef.getCodeRedacteur().length() > 0) {
				contenuDescriptionExtra += "<li><strong>" + module.getMessage("blog.description.responsable") + " :</strong> " + Utilisateur.getLibelle(ctx, blogRef.getCodeRedacteur()) + "</li>";
			}
			// dates
			SimpleDateFormat displayDateTimeFormat = new SimpleDateFormat("dd MMMM yyyy HH:mm", ctx.getLocale());
			SimpleDateFormat displayDateFormat = new SimpleDateFormat("dd MMMM yyyy", ctx.getLocale());
			// date de cr�ation
			if (com.jsbsoft.jtf.core.Formateur.estSaisie(blogRef.getMeta().getMetaDateCreation())) {
				contenuDescriptionExtra += "<li><strong>" + module.getMessage("blog.description.creation") + " :</strong> " + displayDateFormat.format(blogRef.getMeta().getMetaDateCreation()) + "</li>"; 
			}
			// date de mise � jour du dernier billet
			if (com.jsbsoft.jtf.core.Formateur.estSaisie(blogRef.getLastUpdate())) {
				contenuDescriptionExtra += "<li><strong>" + module.getMessage("blog.description.maj") + " :</strong> " + displayDateFormat.format(blogRef.getLastUpdate()) + "</li>"; 
			}
			// nombre d'articles
			List <Articleblog> billets = blogRef.getArticles(ctx);
			int nbBillets = 0;
			if (billets != null && !billets.isEmpty()) {
				nbBillets = billets.size();
			}
			contenuDescriptionExtra += "<li><strong>" + module.getMessage("blog.description.article.nb") + " :</strong> " + nbBillets + "</li>"; 
			// nombre de commentaires
			int nbBilletsComments = 0;
			if (billets != null && !billets.isEmpty()) {
				for (Articleblog billet : billets) {
					nbBilletsComments += billet.getNombreReponses();
				}
			}
			contenuDescriptionExtra += "<li><strong>" + module.getMessage("blog.description.commentaire.nb") + " :</strong> " + nbBilletsComments + "</li>";

			contenuDescriptionExtra += "</ul>";

			// prise en compte des informations extra
			if (contenuDescriptionExtra != null && contenuDescriptionExtra.length() > 0) {
				contenuEncadre += "<div id=\"description_extra\">" + contenuDescriptionExtra + "</div>";
			}
			if (contenuEncadre != null && contenuEncadre.length() > 0) {
				%><%@ include file="/jsp/template/encadres/encadre_fiche.jsp" %><%
			}
		}

	   List<Articleblog> derniersArticlesEncadre =  blogRef.getDerniersArticles(ctx, 0, 5);
		// derniers articles
		if (!derniersArticlesEncadre.isEmpty()) {
			titreEncadre = module.getMessage("front.blog.bloc_derniers_articles");
			contenuEncadre = "<ul id=\"derniers_billets\">";
			for (Articleblog articleItem : derniersArticlesEncadre) {
				contenuEncadre += "<li><a href=\"" + UnivWebFmt.determinerUrlFiche(ctx, articleItem) + "\">" + articleItem.getTitre() + "</a></li>";
			}
			contenuEncadre += "</ul>";
			contenuEncadre += "<p id=\"action_add\">" + UnivWebFmt.formaterEnHTML(ctx, "[traitement;lien_fiches;ACTION=AJOUTER#OBJET=ARTICLEBLOG#CODE_RUBRIQUE=" + blogRef.getCode() + "#LIBELLE=" + module.getMessage("front.blog.article.ajouter") + "]") + "</p>";
			if (ficheUniv instanceof Articleblog)
				contenuEncadre += "<p id=\"action_update\">" + UnivWebFmt.formaterEnHTML(ctx, "[traitement;lien_fiches;ACTION=MODIFIER#OBJET=ARTICLEBLOG#CODE_RUBRIQUE=" + blogRef.getCode() + "#LIBELLE=" + module.getMessage("front.blog.article.modifier") + "]") + "</p>";
			if (contenuEncadre != null && contenuEncadre.length() > 0) {
				%><%@ include file="/jsp/template/encadres/encadre_fiche.jsp" %><%
			}
		}

		String blogUrl = URLResolver.getAbsoluteUrl(UnivWebFmt.determinerUrlFiche(ctx, blogRef), ctx);
		// Bloc des mots cl�s du Blog courant
		Map<String, Integer> keywords = blogRef.getKeywordsCount();
		if (!keywords.isEmpty()) {
			titreEncadre = module.getMessage("front.blog.bloc_keywords");
			contenuEncadre = "<ul id=\"nuage_tag\">";
			for (String keyword : keywords.keySet()) {
				double weight = Math.ceil((10 * keywords.get(keyword) / keywords.values().size()));
				contenuEncadre += "<li><a class=\"cloud_weight_" + ((int)weight) + "\" href=\"" + blogUrl + "&FILTER_KEYWORD=" + URLEncoder.encode(keyword, "UTF-8") + "\">" + keyword + "</a></li>";
			}
			contenuEncadre += "</ul>";
			if (contenuEncadre != null && contenuEncadre.length() > 0) {
				%><%@ include file="/jsp/template/encadres/encadre_fiche.jsp" %><%
			}
		}
		// Bloc des archives du Blog courant
		if ("1".equals(blogRef.getArchivage())) {
			List<java.util.Date> datesArchives = blogRef.getYears();
			if (!datesArchives.isEmpty()) {
				titreEncadre = module.getMessage("front.blog.bloc_archives");
				contenuEncadre = "<ul>";
				SimpleDateFormat displayDateFormat = new SimpleDateFormat("yyyy", ctx.getLocale());
				for (java.util.Date date2 : datesArchives) {
					contenuEncadre += "<li><a href=\"" + blogUrl + "&FILTER_YEAR=" + date2.getTime() + "\">" + displayDateFormat.format(date2) + "</a></li>";
				}
				contenuEncadre += "<ul>";
				if (contenuEncadre != null && contenuEncadre.length() > 0) {
					%><%@ include file="/jsp/template/encadres/encadre_fiche.jsp" %><%
				}
			}
		}
		else if ("2".equals(blogRef.getArchivage())) {
			List<java.util.Date> datesArchives = blogRef.getMonths();
			if (!datesArchives.isEmpty()) {
				titreEncadre = module.getMessage("front.blog.bloc_archives");
				contenuEncadre = "<ul>";
				SimpleDateFormat displayDateFormat = new SimpleDateFormat("MMMM yyyy", ctx.getLocale());
				for (java.util.Date date2 : datesArchives) {
					contenuEncadre += "<li><a href=\"" + blogUrl + "&FILTER_MONTH=" + date2.getTime() + "\">" + displayDateFormat.format(date2) + "</a></li>";
				}
				contenuEncadre += "<ul>";
				if (contenuEncadre != null && contenuEncadre.length() > 0) {
					%><%@ include file="/jsp/template/encadres/encadre_fiche.jsp" %><%
				}
			}
		}
	}
} %>