<%--

    Copyright (C) 2013 Kosmos <contact@kosmos.fr>

    Projet: blog
    Version: 1.1-beta-1

    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at

            http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.

--%>
<%@page import="java.net.URLEncoder"%>
<%@page import="com.jsbsoft.jtf.core.*, com.univ.objetspartages.om.Ressource, com.univ.objetspartages.om.*, com.univ.utils.ContexteUniv, com.univ.utils.UnivWebFmt, com.univ.utils.URLResolver, java.util.*, java.text.*" errorPage="/jsp/jsb_exception.jsp" %>
<%@page import="com.kosmos.blog.om.Blog"%>
<%@page import="com.kosmos.blog.om.Articleblog"%>
<%@page import="com.univ.utils.ContexteUtil"%>
<%@page import="com.kportal.cms.objetspartages.Objetpartage"%>

<% /********************************************
   *        Initialisation de la fiche		 *
   *********************************************/
   	ContexteUniv ctx = ContexteUtil.getContexteUniv();
	Blog blog = (Blog) ctx.getFicheCourante();
   	Objetpartage module = ReferentielObjets.getObjetByNom(ReferentielObjets.getNomObjet(blog));
   
	List<Articleblog> derniersArticles =  blog.getDerniersArticles(ctx, 0, 5);
	String filterYear = request.getParameter("FILTER_YEAR");
	String filterMonth = request.getParameter("FILTER_MONTH");
	String filterKeyword = request.getParameter("FILTER_KEYWORD");
 
  /********************************************
   *        	Ent�te de la fiche		 *
   *********************************************/
   String titre = blog.getLibelleAffichable();
   if (blog.getLibelleThematique().length() > 0) {
        String surtitre = "<p id=\"thematique\">" + blog.getLibelleThematique().replace(";", ", ") + "</p>";
   }
%>


<%
//si pas d'affichage d'une liste d'articles (selon mois, mot cl�, ...)
if ( (filterYear == null || "".equals(filterYear.trim())) && (filterMonth == null || "".equals(filterMonth.trim())) && (filterKeyword == null || "".equals(filterKeyword.trim()))) {
	// alors on essaye de rediriger vers la fiche front du dernier article publi�
	if (!derniersArticles.isEmpty()) {
		Articleblog lastArticleblog = (Articleblog) derniersArticles.iterator().next();
		ctx.calculerCodeRubriquePageCourante(lastArticleblog);
		String redirectUrl = UnivWebFmt.determinerUrlFiche(ctx, lastArticleblog);
		ctx.release();
		response.sendRedirect(redirectUrl);
		return;
	}
}
%>


<%
if ( filterYear != null && !"".equals(filterYear.trim())) {
	Date dateRef = new Date(Long.valueOf(filterYear));
	List<Articleblog> articlesArchives =  blog.getYearArticles(ctx, dateRef);
	if (articlesArchives != null && !articlesArchives.isEmpty()) {
		SimpleDateFormat displayYearDateFormat = new SimpleDateFormat("yyyy", ctx.getLocale());
		SimpleDateFormat displayDateFormat = new SimpleDateFormat("dd MMMM yyyy HH:mm", ctx.getLocale());
		%><h3 id="titre_liste_tags"><%=module.getMessage("front.blog.bloc_archives")%>&nbsp;<%=displayYearDateFormat.format(dateRef)%></h3><%
		%><ul id="liste_tags" class="liste-objets"><%
		for (Articleblog articleArchive : articlesArchives) {
			String itemUrl = URLResolver.getAbsoluteUrl(UnivWebFmt.determinerUrlFiche(ctx, articleArchive), ctx);
			%><li><%
			%><strong><a href="<%=itemUrl%>"><%=articleArchive.getTitre()%></a></strong><%
			if (articleArchive.getChapeau().length() > 0) {
				%><p class="billet_chapeau"><%= UnivWebFmt.formaterEnHTML(ctx, articleArchive.getChapeau()) %></p><%
			}
			if (articleArchive.getKeywords().trim().length() > 0) {
				String blogUrl = URLResolver.getAbsoluteUrl(UnivWebFmt.determinerUrlFiche(ctx, blog), ctx);
				%><p><strong><%= "" + module.getMessage("ST_KEYWORDS") + " :" %></strong><%
				Scanner scanner = new Scanner(articleArchive.getKeywords()).useDelimiter("\\s*,\\s");
				while (scanner.hasNext()) {
					String word = scanner.next();
					%>&nbsp;<a href="<%= blogUrl + "&amp;FILTER_KEYWORD=" + URLEncoder.encode(word, "UTF-8")%>"><%=word%></a><%
				}
				%></p><%
			}
			if (articleArchive.getMeta().getMetaDateMiseEnLigne() != null) {
				%><p><%= "<strong>" + module.getMessage("ST_META_DATE_MISE_EN_LIGNE") + " :</strong> " + displayDateFormat.format(articleArchive.getMeta().getMetaDateMiseEnLigne()) %></p><%
			}
			%><p><%= "<strong>" + module.getMessage("ST_NOMBRE_REPONSES") + " :</strong> " + articleArchive.getNombreReponses() %></p><%
			%></li><%
		}
		%></ul><%
	}
}
%>

<%
if ( filterMonth != null && !"".equals(filterMonth.trim())) {
	Date dateRef = new Date(Long.valueOf(filterMonth));
	List<Articleblog> articlesArchives =  blog.getMonthArticles(ctx, dateRef);
	if (articlesArchives != null && !articlesArchives.isEmpty()) {
		SimpleDateFormat displayMonthDateFormat = new SimpleDateFormat("MMMM yyyy", ctx.getLocale());
		SimpleDateFormat displayDateFormat = new SimpleDateFormat("dd MMMM yyyy HH:mm", ctx.getLocale());
		%><h3 id="titre_liste_tags"><%=module.getMessage("front.blog.bloc_archives")%>&nbsp;<%=displayMonthDateFormat.format(dateRef)%></h3><%
		%><ul id="liste_tags" class="liste-objets"><%
		for (Articleblog articleArchive : articlesArchives) {
			String itemUrl = URLResolver.getAbsoluteUrl(UnivWebFmt.determinerUrlFiche(ctx, articleArchive), ctx);
			%><li><%
			%><strong><a href="<%=itemUrl%>"><%=articleArchive.getTitre()%></a></strong><%
			if (articleArchive.getChapeau().length() > 0) {
				%><p class="billet_chapeau"><%= UnivWebFmt.formaterEnHTML(ctx, articleArchive.getChapeau()) %></p><%
			}
			if (articleArchive.getKeywords().trim().length() > 0) {
				String blogUrl = URLResolver.getAbsoluteUrl(UnivWebFmt.determinerUrlFiche(ctx, blog), ctx);
				%><p><strong><%= "" + module.getMessage("ST_KEYWORDS") + " :" %></strong><%
				Scanner scanner = new Scanner(articleArchive.getKeywords()).useDelimiter("\\s*,\\s");
				while (scanner.hasNext()) {
					String word = scanner.next();
					%>&nbsp;<a href="<%= blogUrl + "&amp;FILTER_KEYWORD=" + URLEncoder.encode(word, "UTF-8")%>"><%=word%></a><%
				}
				%></p><%
			}
			if (articleArchive.getMeta().getMetaDateMiseEnLigne() != null) {
				%><p><%= "<strong>" + module.getMessage("ST_META_DATE_MISE_EN_LIGNE") + " :</strong> " + displayDateFormat.format(articleArchive.getMeta().getMetaDateMiseEnLigne()) %></p><%
			}
			%><p><%= "<strong>" + module.getMessage("ST_NOMBRE_REPONSES") + " :</strong> " + articleArchive.getNombreReponses() %></p><%
			%></li><%
		}
		%></ul><%
	}
}
%>

<%
if ( filterKeyword != null && !"".equals(filterKeyword.trim())) {
	List<Articleblog> articlesKeyword =  blog.getKeywordArticles(ctx, filterKeyword);
	if (articlesKeyword != null && !articlesKeyword.isEmpty()) {
		SimpleDateFormat displayDateFormat = new SimpleDateFormat("dd MMMM yyyy HH:mm", ctx.getLocale());
		%><h3 id="titre_liste_tags"><%=module.getMessage("front.blog.bloc_keywords")%>&nbsp;: <%=filterKeyword%></h3><%
		%><ul id="liste_tags" class="liste-objets"><%
		for (Articleblog articleKeyword : articlesKeyword) {
			String itemUrl = URLResolver.getAbsoluteUrl(UnivWebFmt.determinerUrlFiche(ctx, articleKeyword), ctx);
			%><li><%
			%><strong><a href="<%=itemUrl%>"><%=articleKeyword.getTitre()%></a></strong><%
			if (articleKeyword.getChapeau().length() > 0) {
				%><p class="billet_chapeau"><%= UnivWebFmt.formaterEnHTML(ctx, articleKeyword.getChapeau()) %></p><%
			}
			if (articleKeyword.getKeywords().trim().length() > 0) {
				String blogUrl = URLResolver.getAbsoluteUrl(UnivWebFmt.determinerUrlFiche(ctx, blog), ctx);
				%><p><strong><%= "" + module.getMessage("ST_KEYWORDS") + " :" %></strong><%
				Scanner scanner = new Scanner(articleKeyword.getKeywords()).useDelimiter("\\s*,\\s");
				while (scanner.hasNext()) {
					String word = scanner.next();
					boolean isFilterWord = filterKeyword.equals(word);
					if (isFilterWord) {
						%><strong><%
					}
					%>&nbsp;<a href="<%= blogUrl + "&amp;FILTER_KEYWORD=" + URLEncoder.encode(word, "UTF-8")%>"><%=word%></a><%
					if (isFilterWord) {
						%></strong><%
					}
				}
				%></p><%
			}
			if (articleKeyword.getMeta().getMetaDateMiseEnLigne() != null) {
				%><p><%= "<strong>" + module.getMessage("ST_META_DATE_MISE_EN_LIGNE") + " :</strong> " + displayDateFormat.format(articleKeyword.getMeta().getMetaDateMiseEnLigne()) %></p><%
			}
			%><p><%= "<strong>" + module.getMessage("ST_NOMBRE_REPONSES") + " :</strong> " + articleKeyword.getNombreReponses() %></p><%
			%></li><%
		}
		%></ul><%
	}
}
%>


